
Core - Bug # 39346

Status: Resolved Priority: Must have
Author: Susanne Moog Category:
Created: 2012-07-28 Assigned To:
Updated: 2012-07-28 Due date:
TYPO3 Version: 6.0
PHP Version: 5.4
Complexity: medium
Is Regression:
Sprint Focus:
Subject: localconf migration wizard breaks if escaped tick is used 
Description

Example:
phpmyadmin localconf:

$TYPO3_CONF_VARS['EXT']['extConf']['phpmyadmin'] =
'a:4:{s:12:"hideOtherDBs";a:7:{s:3:"cat";s:5:"basic";s:6:"subcat";s:5:"x/10z";s:4:"type";s:7:"boolean";s:5:"label";s:147:"Only show
TYPO3 database in pMA: If enabled, only the TYPO3 database is available, otherwise pMA will show all databases the SQL-user has
access
to";s:4:"name";s:12:"hideOtherDBs";s:5:"value";s:1:"1";s:13:"default_value";s:1:"1";}s:9:"uploadDir";a:7:{s:3:"cat";s:5:"basic";s:6:"subcat";s:3:"x/z";s:4:"type";s:6:"string";s:5:"label";s:182:"Path for database dumps: If starting with a slash it\'s assumed as an absolute path to the directory where the dumps should be saved, otherwise it\'s relative to the TYPO3 installation";s:4:"name";s:9:"uploadDir";s:5:"value";s:21:"uploads/tx_phpmyadmin";s:13:"d
t";s:3:"x/z";s:4:"type";s:6:"string";s:5:"label";s:182:"Path for database dumps: If starting with a slash it\'s assumed as an absolute path
to the directory where the dumps should be saved, otherwise it\'s relative to the TYPO3
installation";s:4:"name";s:9:"uploadDir";s:5:"value";s:21:"uploads/tx_phpmyadmin";s:13:"default_value";s:21:"uploads/tx_phpmyadmin";}s:10:"allowedIps";a:7:{s:3:"cat";s:5:"basic";s:6:"subcat";s:3:"x/z";s:4:"type";s:6:"string";s:5:"label";s:71:"Allowed IPs: Comma separated list of IPs that may access this extension";s:4:"name";s:10:"allowedIps";s:5:"value";s:0:"";s:13:"default_value";s:0:"";}s:12:"useDevIpMask";a:7:{s:3:"cat";s:5:"basic";s:6:"subcat";s:3:"x/z";s:4:"type";s:7:"boolean";s:5:"label";s:80:"Use devIpMask: Use devIpMask from Install Tool (notice: overrules above setting)";s:4:"name";s:12:"useDevIpMask";s:5:"value";s:1:"0";s:13:"default_value";s:1:"0";}}';    //  Modified or inserted by TYPO3 Extension Manager.
;}s:10:"allowedIps";a:7:{s:3:"cat";s:5:"basic";s:6:"subcat";s:3:"x/z";s:4:"type";s:6:"string";s:5:"label";s:71:"Allowed IPs: Comma
separated list of IPs that may access this
extension";s:4:"name";s:10:"allowedIps";s:5:"value";s:0:"";s:13:"default_value";s:0:"";}s:12:"useDevIpMask";a:7:{s:3:"cat";s:5:"basic";s:6:"subcat";s:3:"x/z";s:4:"type";s:7:"boolean";s:5:"label";s:80:"Use devIpMask: Use devIpMask from Install Tool (notice: overrules above setting)";s:4:"name";s:12:"useDevIpMask";s:5:"value";s:1:"0";s:13:"default_value";s:1:"0";}}';    //  Modified or inserted by TYPO3 Extension Manager.
6:"subcat";s:3:"x/z";s:4:"type";s:7:"boolean";s:5:"label";s:80:"Use devIpMask: Use devIpMask from Install Tool (notice: overrules above
setting)";s:4:"name";s:12:"useDevIpMask";s:5:"value";s:1:"0";s:13:"default_value";s:1:"0";}}';    //  Modified or inserted by TYPO3
Extension Manager.

Word: it\'s
becomes: it's 
therefore breaking PHP parsing.

All values must be quoted - or used literally.

Related issues:
related to Core - Feature # 38562: Refactor localconf.php handling Resolved 2012-07-02

Associated revisions
Revision cb9cfc89 - 2012-07-28 16:10 - Christian Kuhn

[BUGFIX] Broken quoting in arrayExport

Tick (') must be quoted to \'

Change-Id: I006173f0d5e1e17de1ff8801c71c6167fd96087d
Resolves: #39346
Releases: 6.0
Revision d391f709 - 2012-07-28 16:30 - Christian Kuhn

[BUGFIX] Broken quoting in arrayExport

Tick (') must be quoted to \'

Change-Id: I006173f0d5e1e17de1ff8801c71c6167fd96087d
Resolves: #39346
Releases: 6.0
Reviewed-on: http://review.typo3.org/13225
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog

Revision 96cd54ab - 2012-08-08 16:07 - Christian Kuhn

[BUGFIX] Broken quoting in arrayExport

Tick (') must be quoted to \'

Change-Id: I006173f0d5e1e17de1ff8801c71c6167fd96087d
Resolves: #39346
Releases: 6.0
Reviewed-on: http://review.typo3.org/13225
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog

Revision 1ca9e357 - 2012-08-12 14:03 - Christian Kuhn

[BUGFIX] Broken quoting in arrayExport

Tick (') must be quoted to \'

Change-Id: I006173f0d5e1e17de1ff8801c71c6167fd96087d
Resolves: #39346
Releases: 6.0
Reviewed-on: http://review.typo3.org/13225
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog

History
#1 - 2012-07-28 15:59 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13225

#2 - 2012-07-28 16:28 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13225

#3 - 2012-07-28 17:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d391f709aefe37fd9015292e92e3af17fddda4df.
